- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# deferrer.hh File Reference

Declarations for the Deferrer class. More...

Include dependency graph for deferrer.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::misc
## Classes
struct | DeferrerDebugPart
| Helper class for Deferrer. More...
struct | Deferrer
| This class defers the creation of its template parameter. More...
## Enumerations
enum |

## Detailed Description

Declarations for the Deferrer class.

Author:
  Thomas Claveirole <thomas.claveirole@lrde.epita.fr>

See also:
  vcsn::misc::Deferrer

Definition in file deferrer.hh.